=== debian/control ===
Source: ros-indigo-object-msgs-tools
Section: misc
Priority: extra
Maintainer: Jennifer Buehler <jennifer.e.buehler@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-eigen-conversions, ros-indigo-object-msgs, ros-indigo-roscpp, ros-indigo-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-object-msgs-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-eigen-conversions, ros-indigo-object-msgs, ros-indigo-roscpp, ros-indigo-tf
Description: The object_msgs_tools package
